﻿Imports System.IO
Module PSX_Name
    Public n_psx, p_psx, r_psx As String
    Public Sub Read_PSX()
        r_psx = ""
        Dim path_psx As String
        If LCase(Path.GetExtension(n_psx)) = "cue" Then
            Dim righe As String() = File.ReadAllLines(p_psx)
            Dim result As String
            result = righe(0)
            Dim startPosition As Integer = result.IndexOf(Chr(34)) + 1
            Dim word2 As String = result.Substring(startPosition,
                                                     result.IndexOf(Chr(34), startPosition) - startPosition)
            path_psx = Replace(p_psx, n_psx, "") & word2
        Else
            path_psx = p_psx
        End If

        Dim psi As New ProcessStartInfo(MedExtra & "\Plugins\psxt001z", Chr(34) & path_psx & Chr(34))
        psi.UseShellExecute = False
        psi.RedirectStandardOutput = True
        Dim proc As Process = Process.Start(psi)
        proc.WaitForExit()
        Dim output As String = proc.StandardOutput.ReadToEnd()
        'MessageBox.Show(output)

        Dim q As Integer = output.IndexOf("ID:")
        Dim s1 As String
        If q >= 0 Then
            s1 = output.Substring(q, 14)
            s1 = Trim(Replace(s1, "ID:", ""))
        End If

        Try

            Using reader As New StreamReader(MedExtra & "\Plugins\db\ps1titles_us_eu_jp.txt")
                While Not reader.EndOfStream
                    Dim riga As String = reader.ReadLine
                    If riga.Contains(s1) Then
                        r_psx = Trim((Replace(riga, s1, "")))
                        r_psx = r_psx & " [" & s1 & "]"
                        Exit While
                    End If
                End While
                reader.Dispose()
                reader.Close()
            End Using

            If Path.GetFileNameWithoutExtension(n_psx) <> r_psx Then
                Dim i = MsgBox("I can rename the PSX file in a better way." & vbCrLf _
                               & "Do you want to rename the file in: " & r_psx, vbInformation + MsgBoxStyle.OkCancel)
                If i = vbOK Then
                    My.Computer.FileSystem.RenameFile(p_psx, r_psx & Path.GetExtension(p_psx))
                End If
            End If

        Catch ex As Exception

        End Try
    End Sub
End Module
