﻿Imports SevenZip
Imports System.IO

Module Extract
    Public c_os, sevenzdll As String
    Public MedExtra, T_MedExtra, TempFolder, decrunch_size, o_ext As String
    Public Sub extract_7z()
        'Call contr_os()
        Dim szip As SevenZipExtractor = New SevenZipExtractor(percorso)

        Dim dimarch As New System.IO.FileInfo(percorso)
        Console.WriteLine(dimarch.Exists)
        Dim dimension As Integer
        dimension = (Decimal.Round(dimarch.Length.ToString) / (1024 * 1024))
        Dim msgdim As String

        If dimension > 100 Then
            msgdim = MsgBox("The selected filer are " & dimension & " MB, the extraction might take a long time" & vbCrLf & _
"Do you want to continue the operation?", MsgBoxStyle.YesNo + MsgBoxStyle.Exclamation)
            If msgdim = vbNo Then
                stopscan = True
                MedGuiR.TextBox1.Text = ""
                Exit Sub
            End If
        End If

        szip.ExtractArchive(MedExtra & "RomTemp")
        SoxStatus.Text = "Waiting for extraction..."
        SoxStatus.Label1.Text = "..."
        SoxStatus.Show()
        szip.Dispose()
        'TempFolder = "RomTemp"
        T_MedExtra = MedExtra
        scansiona()

    End Sub

    Public Sub contr_os()

        Dim arch = System.Environment.GetEnvironmentVariable("PROCESSOR_ARCHITECTURE", EnvironmentVariableTarget.Machine)
        If arch = "AMD64" Then
            c_os = "64"
            'sevenzdll = "7z64.dll"
            sevenzdll = "7z.dll"
        Else
            c_os = "32"
            sevenzdll = "7z.dll"
        End If

        'If IntPtr.Size = 8 Then
        'c_os = "64"
        'sevenzdll = "7z64.dll"
        'ElseIf IntPtr.Size = 4 Then
        'c_os = "32"
        'sevenzdll = "7z.dll"
        'End If

        SevenZipExtractor.SetLibraryPath(MedExtra & "Plugins\" & sevenzdll)
    End Sub
    Public Sub ex_Server()
        Dim p_serv As String
        If c_os = "32" And IO.File.Exists(MedExtra & "NetPlay\" & "cyggcc_s-1.dll") = False Then
            p_serv = MedExtra & "NetPlay\" & "server_32.zip"
        ElseIf c_os = "64" And IO.File.Exists(MedExtra & "NetPlay\" & "cyggcc_s-seh-1.dll") = False Then
            p_serv = MedExtra & "NetPlay\" & "server_64.zip"
        Else
            Exit Sub
        End If

        Dim szip As SevenZipExtractor = New SevenZipExtractor(p_serv)
        szip.ExtractArchive(MedExtra & "NetPlay")
        szip.Dispose()
    End Sub
    Public Sub ClearFile()
        If MedGuiR.CheckBox3.Checked = True Then Exit Sub

        Dim fil, files() As String
        Dim f As FileInfo

        Try
            files = Directory.GetFiles(MedExtra & "RomTemp")
            For Each fil In files
                f = New FileInfo(fil)
                f.Delete()
            Next
            If Dir(MedExtra & "RomTemp") <> "" Then
                System.IO.Directory.Delete(MedExtra & "RomTemp")
            End If
        Catch ex As Exception
            If Dir(MedExtra & "RomTemp\*.*") <> "" Then
                MsgBox("File " & fil & " is die hard, please remove it manually or delete RomTemp folder.", MsgBoxStyle.OkCancel + MsgBoxStyle.Critical)
                System.Diagnostics.Process.Start(MedExtra & "RomTemp")
                End
            End If
        End Try

    End Sub
    Public Sub scan_compressed()
        'Call contr_os()
        o_ext = ext
        scan_ext_compressed()
        'estensione()
        LMain()
        'stopscan = True
    End Sub


    Public Sub scan_ext_compressed()
        Dim szip As SevenZipExtractor = New SevenZipExtractor(percorso)
        If szip.ArchiveFileData.Count > 1 Then
            ClearFile()
            extract_7z()
            szip.Dispose()
            Exit Sub
        End If

            For Each ArchiveFileInfo In szip.ArchiveFileData
            ext = Path.GetExtension(ArchiveFileInfo.FileName)
            'Dim o
            'Dim oi
            'o = Right(ArchiveFileInfo.FileName, 4)
            'oi = o.indexof(".")
            'If oi >= 0 Then
            'ext = (o.substring(oi))
            'End If
            base_file = Hex(ArchiveFileInfo.Crc)
            decrunch_size = ArchiveFileInfo.Size
            szip.Dispose()
        Next
    End Sub
End Module
