﻿Imports System.IO
Module Prescanned
    Public type_csv As String
    Public Sub LoadGridDataInFile()
        Try
            Dim fName As String = ""

            fName = MedExtra & "Scanned\" & type_csv & ".csv"

            Dim TextLine As String = ""

            Dim SplitLine() As String

            If System.IO.File.Exists(fName) = True Then

                Using objReader As New System.IO.StreamReader(fName)
                    Dim cr As Integer
                    cr = 0
                    Do While objReader.Peek() <> -1
                        cr = cr + 1
                        TextLine = objReader.ReadLine()
                        SplitLine = Split(TextLine, "|")
                        MedGuiR.DataGridView1.Rows.Add(SplitLine)
                        real_name = SplitLine(5)
                        detect_icon()
                        MedGuiR.DataGridView1.Rows(cr - 1).Cells(1).Value() = New Bitmap(MedExtra & "Resource\System\" & UCase(gif) & ".gif")
                    Loop
                    objReader.Dispose()
                    objReader.Close()
                End Using
            Else
                MsgBox("File Does Not Exist")
            End If

        Catch e As Exception
            MsgBox("The " & UCase(MedGuiR.SY.Text) & ".CSV is damaged or incorrect, please rebuild it!", vbExclamation + vbOKOnly)
            'MedGuiR.ScanFolder()
            'saveGridDataInFile()
        End Try

    End Sub



    Public Sub SaveGridDataInFile()
        If Dir(MedExtra & "Scanned") = "" Then
            Directory.CreateDirectory(MedExtra & "Scanned")
        End If

        Dim I As Integer = 0

        Dim j As Integer = 0

        Dim cellvalue$

        Dim rowLine As String = ""

        Try

            Dim objWriter As New System.IO.StreamWriter(MedExtra & "Scanned\" & type_csv & ".csv", False)

            For j = 0 To (MedGuiR.DataGridView1.Rows.Count - 1)

                For I = 0 To (MedGuiR.DataGridView1.Columns.Count - 1)

                    If Not TypeOf MedGuiR.DataGridView1.CurrentRow.Cells.Item(I).Value Is DBNull Then

                        cellvalue = MedGuiR.DataGridView1.Item(I, j).Value.ToString

                        If cellvalue = "System.Drawing.Bitmap" Then cellvalue = "_image_console_"

                    Else
                        cellvalue = ""
                    End If

                    rowLine = rowLine + cellvalue + "|"

                Next

                objWriter.WriteLine(rowLine)

                rowLine = ""

            Next

            objWriter.Close()

        Catch e As Exception

            MessageBox.Show("Error occured while writing to the file." + e.ToString())

        Finally

            FileClose(1)

        End Try

    End Sub


    Public Sub SaveGridDataInRow()

        If Dir(MedExtra & "Scanned") = "" Then
            Directory.CreateDirectory(MedExtra & "Scanned")
        End If

        Dim cellvalue$
        Dim rowLine As String = ""

        Try

            For I = 0 To (MedGuiR.DataGridView1.Columns.Count - 1)
                If Not TypeOf MedGuiR.DataGridView1.CurrentRow.Cells.Item(I).Value Is DBNull Then
                    cellvalue = MedGuiR.DataGridView1.Item(I, MedGuiR.DataGridView1.CurrentRow.Index).Value.ToString

                    If cellvalue = "System.Drawing.Bitmap" Then cellvalue = "_image_console_"

                Else
                    cellvalue = ""
                End If
                rowLine = rowLine + cellvalue + "|"
            Next

            If Dir(MedExtra & "Scanned\" & type_csv & ".csv") <> "" Then
                Dim lineS As String() = IO.File.ReadAllLines(MedExtra & "Scanned\" & type_csv & ".csv")
                For i As Integer = 0 To lineS.Length - 1
                    If lineS(i) = rowLine Then rowLine = "" : MsgBox("This Game is already in favourites list.", vbInformation + vbOKOnly) : Exit Sub
                Next
            End If

            Dim objWriter As New System.IO.StreamWriter(MedExtra & "Scanned\" & type_csv & ".csv", True)
            objWriter.WriteLine(rowLine)
            MsgBox("Game added in favourites list.", vbInformation + vbOKOnly)
            rowLine = ""
            objWriter.Close()

        Catch e As Exception
            MessageBox.Show("Error occured while writing to the file." + e.ToString())
        Finally
            FileClose(1)
        End Try

    End Sub

    Public Sub SearchGridDataInRow()
        For Each dr As DataGridViewRow In MedGuiR.DataGridView1.Rows
            If LCase(dr.Cells(0).Value.ToString).Contains(Trim(LCase(MedGuiR.TextBox3.Text))) _
               And LCase(dr.Cells(2).Value.ToString).Contains(Trim(LCase(MedGuiR.region))) Then
                dr.Visible = True
            Else
                dr.Visible = False
            End If
        Next
    End Sub
End Module
