﻿Module GlobalVar
    Public Startup_Path, UCInick, UCIserver, UCIport, UCIchannel As String, forMax As Boolean
    Public Sub Startup_setting()
        GeneralRMIni()
        DirectoryRMIni()
        UCIRMini()

        If MedGuiR.ComboBox1.Text = "" Then MedGuiR.ComboBox1.Text = "NoIntro"
        If IO.File.Exists(MedExtra & "Scanned\" & Startup_Path & ".csv") = False And Startup_Path <> "" And Startup_Path <> "psx" Then
            MsgBox("..\Scanned\" & Startup_Path & ".csv missing" & vbCrLf &
                   "Please rebuild it if necessary", MsgBoxStyle.OkOnly + vbExclamation, Startup_Path & ".csv missing")
            Startup_Path = ""
        End If

        MedGuiR.SY.SelectedItem = Startup_Path
        GridRMIni()

        If forMax = False Then
            MedGuiR.WindowState = FormWindowState.Normal
        ElseIf forMax = True Then
            MedGuiR.WindowState = FormWindowState.Maximized
        End If

        If IO.File.Exists(MedExtra & "\Converter\sox.exe") = False Then
            MedGuiR.ListAddsFile.Enabled = False
            MedGuiR.Label25.ForeColor = Color.Red
            MedGuiR.Label25.Text = "Sox.exe missing, this utility will be disabled"
        End If

        If IO.File.Exists(MedExtra & "\NetPlay\mednafen-server.exe") = False Then MedGuiR.ServerToolStripButton.Enabled = False

    End Sub

    Public Sub exist_Mednafen()

        If System.IO.File.Exists(Application.StartupPath & "\SevenZipSharp.dll") = False Then
            If My.Computer.Network.IsAvailable = True Then
                My.Computer.Network.DownloadFile("http://digidownload.libero.it/speedvicio/MedGui/SevenZipSharp.dll", Application.StartupPath & "\SevenZipSharp.dll", "Speedvicio", "AriA", True, 500, True)
                MsgBox("SevenZipSharp.dll downloaded, please reboot MedGuiR", MsgBoxStyle.OkOnly + MsgBoxStyle.Exclamation)
                MedGuiR.Close()
            Else
                MsgBox("SevenZipSharp.dll missing!, please download MedGui Reborn full package from Mednafen forum", MsgBoxStyle.OkOnly + MsgBoxStyle.Critical, "Library missing")
                Exit Sub
            End If
        End If

        'Try

        'Catch ex As Exception
        If IO.File.Exists(Application.StartupPath & "\IrcClient.dll") = False Then
            If My.Computer.Network.IsAvailable = True Then
                My.Computer.Network.DownloadFile("http://digidownload.libero.it/speedvicio/MedGui/IrcClient.dll", Application.StartupPath & "\IrcClient.dll", "Speedvicio", "AriA", True, 500, True)
            Else
                MedGuiR.IRCToolStripButton.Enabled = False
            End If
        End If
        'End Try

        If IO.File.Exists(MedGuiR.TextBox4.Text & "\mednafen.exe") = False Then
            Dim fdmdf As FolderBrowserDialog = New FolderBrowserDialog()
            fdmdf.Description = "Select Mednafen Path"
            MsgBox("Select a Valid Mednafen Path.", vbCritical + MsgBoxStyle.OkOnly, "Mednafen Not Detected")
            If fdmdf.ShowDialog() = DialogResult.OK Then
                MedGuiR.TextBox4.Text = fdmdf.SelectedPath
                exist_Mednafen()
            Else
                MedGuiR.Close()
            End If
        End If

        If System.IO.File.Exists(MedExtra & "\Plugins\7z.dll") = False Then
            If My.Computer.Network.IsAvailable = True Then
                My.Computer.Network.DownloadFile("http://digidownload.libero.it/speedvicio/MedGui/7z.dll", MedExtra & "Plugins\7z.dll", "Speedvicio", "AriA", True, 500, True)
            Else
                MsgBox("7z.dll missing!, please download MedGui Reborn full package from Mednafen forum", MsgBoxStyle.OkOnly + MsgBoxStyle.Critical, "Library missing")
                Exit Sub
            End If
        End If
    End Sub

    Public Sub MednafenV()
        If MedGuiR.TextBox4.Text = "" Then Exit Sub

        If Dir(MedGuiR.TextBox4.Text & "\mednafen-09x.cfg") = "" Then
            Try
                System.Diagnostics.Process.Start(MedGuiR.TextBox4.Text & "\mednafen.exe")
            Catch ex As Exception
                'My.Computer.FileSystem.CopyFile(MedExtra & "Backup\default.cfg", MedGuiR.TextBox4.Text & "\mednafen-09x.cfg", True)
            End Try
            MsgBox("No mednafen-09x.cfg found , I proceeded to create one myself.", vbInformation + MsgBoxStyle.OkOnly)
        End If

            Dim readText() As String = IO.File.ReadAllLines(MedGuiR.TextBox4.Text & "\mednafen-09x.cfg")
            Dim vmedClear, vmedFull As String
            vmedFull = readText.GetValue(0)
            vmedFull = Replace(vmedFull, ";VERSION ", "")
            vmedClear = Replace(vmedFull, ".", "")
            If Val(vmedClear) < 933 And vmedClear <> "" Then
            Message.Label1.Text = "MedGui Reborn support only Mednafen >= 0.9.38" & vbCrLf & _
                "Please download Last Mednafen version at:"
            Message.LinkLabel1.Text = "http://forum.fobby.net/index.php?t=thread&frm_id=19&"
                Message.ShowDialog()
                MedGuiR.Close()
            Else
                MedGuiR.Label8.Text = "Mednafen v. " & vmedFull
        End If

    End Sub

    Public Sub OS_Version()
        If UCase(My.Computer.Info.OSFullName.Contains("XP")) Then
            Exit Sub
        Else
            Application.EnableVisualStyles()
        End If
    End Sub

    Public Sub SingleScan()
        stopscan = False
        TempFolder = "RomTemp"
        type_csv = ""
        MedGuiR.Text = "MedGui Reborn"
        MedGuiR.TextBox1.Text = percorso
        Counter = 0
        get_ext()

        Try
            If Counter <= 1 Then Cripto.decripta() : MedGuiR.DataGridView1.Rows(0).Cells(3).ToolTipText = "Md5 " & base_file
        Catch ex As Exception

        End Try
        SoxStatus.Close()
        fileTXT = ""

        MedGuiR.remove_double()

        MedGuiR.Datagrid_filter()
    End Sub

End Module
