﻿Public Class frmServer
    Dim nick As String
    'Public IsClosing As Boolean = False
    Private _Server As New TcpCommServer(AddressOf UpdateUI)

    Private Function BytesToString(ByVal data() As Byte) As String
        Dim enc As New System.Text.UTF8Encoding()
        BytesToString = enc.GetString(data)
    End Function

    Private Function StrToByteArray(ByVal text As String) As Byte()
        Dim encoding As New System.Text.UTF8Encoding()
        StrToByteArray = encoding.GetBytes(text)
    End Function

    Public Sub UpdateUI(ByVal bytes() As Byte, ByVal sessionID As Int32, ByVal dataChannel As Integer)

        If Me.InvokeRequired() Then
            ' InvokeRequired: We're running on the background thread. Invoke the delegate.
            Me.Invoke(_Server.ServerCallbackObject, bytes, sessionID, dataChannel)
        Else
            ' We're on the main UI thread now.
            If dataChannel = 1 Then
                Me.lbTextInput.Items.Add(BytesToString(bytes))
                'Me.lbTextInput.Items.Add("Session " & sessionID.ToString & ": " & BytesToString(bytes))
            ElseIf dataChannel = 255 Then
                Dim tmp = ""
                Dim msg As String = BytesToString(bytes)
                Dim dontReport As Boolean = False

                ' _Server as finished sending the bytes you put into sendBytes()
                If msg.Length > 3 Then tmp = msg.Substring(0, 3)
                If tmp = "UBS" Then ' User Bytes Sent.
                    Dim parts() As String = Split(msg, "UBS:")
                    msg = "Data sent to session: " & parts(1)
                End If

                If Not dontReport Then Me.ToolStripStatusLabel1.Text = msg
            End If
        End If

    End Sub

    Private Sub frmServer_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        _Server.StopRunning()
        'IsClosing = True
    End Sub

    Private Sub frmServer_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.ToolStripStatusLabel1.Text = "Idle."
        nick = Setting.TextBox5.Text
        'frmClient.Show()
        Try
            TextBox3.Text = Net.Dns.GetHostEntry(SystemInformation.ComputerName).AddressList(2).ToString
        Catch
            TextBox3.Text = Net.Dns.GetHostEntry(SystemInformation.ComputerName).AddressList(0).ToString
        End Try

        If Setting.TextBox8.Text = "" Then NetPlay.MyIp()
        TextBox2.Text = Setting.TextBox8.Text
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btStartServer.Click

        If btStartServer.Text = "Start Server" Then
            Dim s As String
            s = Me.TextBox1.Text.Trim
            _Server.Start(Convert.ToInt32(s))
            btStartServer.Text = "Stop Server"
        Else
            _Server.StopRunning()
            btStartServer.Text = "Start Server"
        End If

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btSendText.Click
        If Me.tbSendText.Text.Trim.Length > 0 Then
            lbTextInput.Items.Add(nick & ": " & Me.tbSendText.Text.Trim)
            _Server.SendBytes(StrToByteArray(nick & ": " & Me.tbSendText.Text.Trim))
            tbSendText.Text = ""
        End If
    End Sub

    Private Sub TextBox1_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TextBox1.KeyPress
        If (Not IsNumeric(e.KeyChar)) And (Asc(e.KeyChar) <> 8) Then
            e.Handled = True
        End If
    End Sub
End Class